J0(3)

NAME
j0, j1, jn, y0, y1, yn - bessel functions of first and second kind

SYNOPSIS
#include <math.h>
double
j0(double x);
double
j1(double x);
double
jn(int n, double x);
double
y0(double x);
double
y1(double x);
double
yn(int n, double x);

DESCRIPTION
The functions j0() and j1() compute the Bessel function of the first kind of the order 0 and the order 1, respectively, for the real value x; the function jn() computes the Bessel function of the first kind of the integer order n for the real value x.

The functions y0() and y1() compute the linearly independent Bessel function of the second kind of the order 0 and the order 1, respectively, for the postive integer value x (expressed as a double); the function yn() computes the Bessel function of the second kind for the integer order n for the postive integer value x (expressed as a double).

RETURN VALUES
If these functions are successful, the computed value is returned. On the VAX and Tahoe architectures, a negative x value results in an error; the global variable errno is set to EDOM and a reserve operand fault is generated.

SEE ALSO
math(3), infnan(3)

HISTORY
A set of these functions function appeared in AT&T UNIX.